# Type alias RcsbFvStateType<T, D>

RcsbFvStateType<T, D>: {
data?: D;
type: "feature-click" | "selection-change" | "hover-change" | "model-change" | "representation-change" | "pfv-change" | T;
view: "1d-view" | "3d-view" | "ui-view";
}

#### Type Parameters

- #### T = "feature-click"

- #### D = undefined

#### Type declaration

- ##### `Optional` data?: D

- ##### type: "feature-click" | "selection-change" | "hover-change" | "model-change" | "representation-change" | "pfv-change" | T

- ##### view: "1d-view" | "3d-view" | "ui-view"

- Defined in src/RcsbFvState/RcsbFvStateInterface.ts:13

Generated using TypeDoc